You are not logged in.

#1 2014-01-12 23:28:08

kozaki
Member
From: London >. < Paris
Registered: 2005-06-13
Posts: 670
Website

[SOLVED] Application requests wxPython-2.8: worth digg it further?

I'm trying to test outwiker (an outliner and personal wiki, in AUR) which requires wPython-2.8 and won't start with version 3. I noticed the AUR's packager.

Quoting Outwiker website:
Installing from source requires « Python 2.7 and wxPython 2.8. »

$ outwiker
Traceback (most recent call last):
File "runoutwiker.py", line 11, in <module>
wxversion.select("2.8")
File "/usr/lib/python2.7/site-packages/wxversion.py", line 152, in select
raise VersionError("Requested version of wxPython not found")
wxversion.VersionError: Requested version of wxPython not found

Unfortunately I didn't use wxpython-related applications on this machine previous to outwiker so I have no previous version in pacnam's cache to downgrade hmm

Where to go next please, is it worth tryinf to find the appropriate version of wxPython? Notice the developper? Or better keep this app in my watching-list?

Reference:
[SOLVED] wxpython update cause problems for playonlinux https://bbs.archlinux.org/viewtopic.php?id=175561

Last edited by kozaki (2014-01-13 21:26:14)


Seeded last month: Arch 50 gig, derivatives 1 gig
Desktop @3.3GHz 8 gig RAM, linux-ck
laptop #1 Atom 2 gig RAM, Arch linux stock i686 (6H w/ 6yrs old battery smile) #2: ARM Tegra K1, 4 gig RAM, ChrOS
Atom Z520 2 gig RAM, OMV (Debian 7) kernel 3.16 bpo on SDHC | PGP Key: 0xFF0157D9

Offline

#2 2014-01-12 23:41:51

karol
Archivist
Registered: 2009-05-06
Posts: 25,440

Re: [SOLVED] Application requests wxPython-2.8: worth digg it further?

Offline

#3 2014-01-13 21:25:44

kozaki
Member
From: London >. < Paris
Registered: 2005-06-13
Posts: 670
Website

Re: [SOLVED] Application requests wxPython-2.8: worth digg it further?

Man, the x86_64 made it work at work and the i686 on the netbook tongue
Thank you karol!


Seeded last month: Arch 50 gig, derivatives 1 gig
Desktop @3.3GHz 8 gig RAM, linux-ck
laptop #1 Atom 2 gig RAM, Arch linux stock i686 (6H w/ 6yrs old battery smile) #2: ARM Tegra K1, 4 gig RAM, ChrOS
Atom Z520 2 gig RAM, OMV (Debian 7) kernel 3.16 bpo on SDHC | PGP Key: 0xFF0157D9

Offline

#4 2014-01-14 07:52:35

karol
Archivist
Registered: 2009-05-06
Posts: 25,440

Re: [SOLVED] Application requests wxPython-2.8: worth digg it further?

Next time, if you need some old packages that aren't in the repos any more, read https://wiki.archlinux.org/index.php/Do … g_Packages and https://wiki.archlinux.org/index.php/Ar … ck_Machine
Often you can find the PKGBUILDs in the AUR or in the svntogit https://projects.archlinux.org/svntogit … s/wxpython , but you have to compile them yourself.

Offline

#5 2014-01-20 00:59:41

kozaki
Member
From: London >. < Paris
Registered: 2005-06-13
Posts: 670
Website

Re: [SOLVED] Application requests wxPython-2.8: worth digg it further?

Thank you karol, as I read about arm before but shame on me I didn't inquire, till reading the pages you provided. Awesome!


Seeded last month: Arch 50 gig, derivatives 1 gig
Desktop @3.3GHz 8 gig RAM, linux-ck
laptop #1 Atom 2 gig RAM, Arch linux stock i686 (6H w/ 6yrs old battery smile) #2: ARM Tegra K1, 4 gig RAM, ChrOS
Atom Z520 2 gig RAM, OMV (Debian 7) kernel 3.16 bpo on SDHC | PGP Key: 0xFF0157D9

Offline

#6 2014-02-06 10:38:51

Anzak
Member
Registered: 2014-02-06
Posts: 1

Re: [SOLVED] Application requests wxPython-2.8: worth digg it further?

I had the same problem using Outwiker. Fixed it downgrading wxPython (3.0.0.0-2 =>  2.8.12.1-4) and wxgtk (3.0.0-2 => 2.8.12.1-5).
Is it possible to install wxPython 2.8 and 3.0 packages simultaneously?

Offline

#7 2014-02-06 11:55:27

arojas
Developer
From: Spain
Registered: 2011-10-09
Posts: 1,600

Re: [SOLVED] Application requests wxPython-2.8: worth digg it further?

Anzak wrote:

Is it possible to install wxPython 2.8 and 3.0 packages simultaneously?

Yes, they are both in [extra]

Offline

#8 2014-07-11 09:21:11

kozaki
Member
From: London >. < Paris
Registered: 2005-06-13
Posts: 670
Website

Re: [SOLVED] Application requests wxPython-2.8: worth digg it further?

arojas wrote:
Anzak wrote:

Is it possible to install wxPython 2.8 and 3.0 packages simultaneously?

Yes, they are both in [extra]

For the record I can confirm that [AUR] outwiker runs with extra/wxpython2.8-2.8.12.1-1


Seeded last month: Arch 50 gig, derivatives 1 gig
Desktop @3.3GHz 8 gig RAM, linux-ck
laptop #1 Atom 2 gig RAM, Arch linux stock i686 (6H w/ 6yrs old battery smile) #2: ARM Tegra K1, 4 gig RAM, ChrOS
Atom Z520 2 gig RAM, OMV (Debian 7) kernel 3.16 bpo on SDHC | PGP Key: 0xFF0157D9

Offline

Board footer

Powered by FluxBB